(***********************************************************************)
(*                                                                     *)
(*                       Ambients in JoCaml                            *)
(*                                                                     *)
(*               Alan Schmitt, projet Para, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1999 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

{
open Parser;; (* type Token defined in Parser.mli *)
exception Eof;;
exception Illegal;;
}
rule token = parse
  [' ' '\t' '\n']
                  { token lexbuf }     (* skip blanks *)
| "|"             { PAR }
| "in"            { IN }
| "out"           { OUT }
| "open"          { OPEN }
| "("             { LPAREN }
| ")"             { RPAREN }
| "["             { LBRACKET }
| "]"             { RBRACKET }
| "<"             { LPOINT }
| ">"             { RPOINT } 
| "."             { DOT }
| "nu"            { NEW }
| "!"             { BANG }
| "0"             { ZERO }
| ";;"            { SEMISEMI }
| "$"             { DOLLAR }
| ['A'-'Z''a'-'z'] + ['0'-'9'] *
                   { IDENT (Lexing.lexeme lexbuf) }
| eof             { raise Eof }
| _               { raise Illegal }

